org.eclipse.jetty.annotations

## Interface AnnotationParser.DiscoverableAnnotationHandler

- All Superinterfaces:
    AnnotationParser.Handler
  All Known Implementing Classes:
    AbstractDiscoverableAnnotationHandler, ContainerInitializerAnnotationHandler, WebFilterAnnotationHandler, WebListenerAnnotationHandler, WebServletAnnotationHandler
  Enclosing class:
    AnnotationParser

      public static interface AnnotationParser.DiscoverableAnnotationHandler
      extends AnnotationParser.Handler

  DiscoverableAnnotationHandler Processes an annotation when it is discovered on a class.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnnotationName()` Get the name of the annotation processed by this handler.
    `void` | `handleClass(String className, int version, int access, String signature, String superName, String[] interfaces, String annotation, List<AnnotationParser.Value> values)` Process an annotation that was discovered on a class
    `void` | `handleField(String className, String fieldName, int access, String fieldType, String signature, Object value, String annotation, List<AnnotationParser.Value> values)` Process an annotation that was discovered on a field
    `void` | `handleMethod(String className, String methodName, int access, String desc, String signature, String[] exceptions, String annotation, List<AnnotationParser.Value> values)` Process an annotation that was discovered on a method

- - ### Method Detail

    - #### handleClass

          void handleClass(String className,
                         int version,
                         int access,
                         String signature,
                         String superName,
                         String[] interfaces,
                         String annotation,
                         List<AnnotationParser.Value> values)

      Process an annotation that was discovered on a class
      Parameters:
        `className` -
        `version` -
        `access` -
        `signature` -
        `superName` -
        `interfaces` -
        `annotation` -
        `values` -

    - #### handleMethod

          void handleMethod(String className,
                          String methodName,
                          int access,
                          String desc,
                          String signature,
                          String[] exceptions,
                          String annotation,
                          List<AnnotationParser.Value> values)

      Process an annotation that was discovered on a method
      Parameters:
        `className` -
        `methodName` -
        `access` -
        `desc` -
        `signature` -
        `exceptions` -
        `annotation` -
        `values` -

    - #### handleField

          void handleField(String className,
                         String fieldName,
                         int access,
                         String fieldType,
                         String signature,
                         Object value,
                         String annotation,
                         List<AnnotationParser.Value> values)

      Process an annotation that was discovered on a field
      Parameters:
        `className` -
        `fieldName` -
        `access` -
        `fieldType` -
        `signature` -
        `value` -
        `annotation` -
        `values` -

    - #### getAnnotationName

          String getAnnotationName()

      Get the name of the annotation processed by this handler. Can be null
      Returns:

Copyright © 1995-2015 Mort Bay Consulting. All Rights Reserved.